package com.ruoyi.system.mapper.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzQyxx;

import java.util.List;

/**
 * 招商引资_签约信息Mapper接口
 * 
 * @author boman
 * @date 2023-02-22
 */
public interface ZsyzQyxxMapper 
{
    /**
     * 查询招商引资_签约信息
     * 
     * @param id 招商引资_签约信息ID
     * @return 招商引资_签约信息
     */
    public ZsyzQyxx selectZsyzQyxxById(Long id);

    /**
     * 查询招商引资_签约信息列表
     * 
     * @param zsyzQyxx 招商引资_签约信息
     * @return 招商引资_签约信息集合
     */
    public List<ZsyzQyxx> selectZsyzQyxxList(ZsyzQyxx zsyzQyxx);

    /**
     * 新增招商引资_签约信息
     * 
     * @param zsyzQyxx 招商引资_签约信息
     * @return 结果
     */
    public int insertZsyzQyxx(ZsyzQyxx zsyzQyxx);

    /**
     * 修改招商引资_签约信息
     * 
     * @param zsyzQyxx 招商引资_签约信息
     * @return 结果
     */
    public int updateZsyzQyxx(ZsyzQyxx zsyzQyxx);

    /**
     * 删除招商引资_签约信息
     * 
     * @param id 招商引资_签约信息ID
     * @return 结果
     */
    public int deleteZsyzQyxxById(Long id);

    /**
     * 批量删除招商引资_签约信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteZsyzQyxxByIds(Long[] ids);
}
